# Created by pyp2rpm-3.3.2
%global pypi_name django-getenv

# no test subdirectory in sources from PYPI
%bcond_with test

Name:           python-%{pypi_name}
Version:        1.3.2
Release:        %mkrel 1
Summary:        Read settings from environment variables
Group:          Development/Python
License:        BSD
URL:            https://github.com/schwuk/django-getenv
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A quick'n'easy way to use environment variables in your Django (and Python)
projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A quick'n'easy way to use environment variables in your Django (and Python)
projects.

%prep
%setup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/getenv
%{python3_sitelib}/django_getenv-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 05 2022 tex - 1.3.2-1pclos2022
- new version

